CREATE VIEW general.view_rubrosEmpresa as
select rubros.id,
	rubros.rubro,
	rubros.estado
from general.cat_rubrosEmpresa rubros;

create view general.view_estadosCiviles as
SELECT estados.codestadocivil,
	estados.nomestadocivil estadoCivil,
	estados.codigoexterno codigoExterno
FROM [negocios_a].dbo.gen_estado_civil estados;

create view general.view_paises as
select paises.codpais codigoPais,
	paises.nompais nombrePais
from [negocios_a].dbo.gen_paises paises;

alter view general.view_departamentos as
select departamentos.codpais codigoPais,
	departamentos.coddptopais codigoDepartamento,
	departamentos.nomdptopais nombreDepartamento
from [negocios_a].dbo.gen_departamento_pais departamentos;

create view general.view_profesiones as
select profesiones.codprofesion codigoProfesion,
	profesiones.nomprofesion nombreProfesion
FROM [negocios_a].dbo.gen_profesion profesiones;

create view general.view_institucionesPrevisionales as
SELECT afps.codafp,
	afps.descripcionafp nombreInstitucion,
	afps.abreviatura,
	afps.porcentajeempleado,
	afps.porcentajepatrono
FROM [negocios_a].dbo.gen_afp afps;

create view general.view_institucionesFinancieras as
select bancos.codbanco,
	bancos.nombanco nombreInstitucion
from [negocios_a].dbo.gen_banco bancos;

create view general.view_municipios as
select municipios.codmunicipiopais codigoMunicipio,
	municipios.nommunicipiopais nombreMunicipio,
	municipios.coddptopais codigoDepartamento
FROM [negocios_a].dbo.gen_municipio_pais municipios;

create view general.view_tiposDocumentos as
select tipos.coddocumento codigoDocumento,
	tipos.nomdocumento tipoDocumento
from [negocios_a].dbo.gen_documento_identidad tipos
where tipos.codigoexterno is not null
and tipos.estado = 1;

create view general.view_tiposDocumentosAdjuntos as
select tipos.id,
	tipos.tipoDocumento,
	tipos.estado
FROM general.cat_tiposDocumentosAdjuntos tipos;
